MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0014530Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2007-01-17 14:242017-09-29 17:11
Reporterpkv 
Assigned Tonbv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.2.0 
Summary0014530: Boolean Operation Algorithm failed
DescriptionThe following Draw comands hungs the computer:

pcylinder c 5 20
pcone x 20 0 20
trotate x 0 0 20 0 1 0 45
ttranslate x 5 0 0
ttranslate x 0 0 1

explode c f
explode x f
copy c_1 a1
copy x_1 a2

bop a1 a2
TagsNo tags attached.
Test case numberbugs modalg_7 bug14530
Attached Files

- Relationships

-  Notes
(0057958)
bugmaster (administrator)
2016-09-20 17:39

Problem is not reproduced on master from 2016-09-15
(0057974)
git (administrator)
2016-09-21 11:19

Branch CR14530 has been created by inv.

SHA-1: b2ba7afd866ee3634b751495683e54f0d3404963


Detailed log of new commits:

Author: bugmaster
Date: Wed Sep 21 11:19:22 2016 +0300

    0014530: Boolean Operation Algorithm failed
    
    Adding testing casse
(0057975)
bugmaster (administrator)
2016-09-21 11:21

Test case was added.
Result of executing is OK.
(0059122)
apn (administrator)
2016-10-25 20:57

There is different result of nbshapes command on Linux and Windows platforms during execution of this test case.
on Linux:
 VERTEX : 8
 EDGE : 13
 WIRE : 6
 FACE : 4
 SHELL : 0
 SOLID : 0
 COMPSOLID : 0
 COMPOUND : 1
 SHAPE : 32

on Windows:
 VERTEX : 7
 EDGE : 12
 WIRE : 5
 FACE : 4
 SHELL : 0
 SOLID : 0
 COMPSOLID : 0
 COMPOUND : 1
 SHAPE : 29

If result shape is exploded on edges, there is empty edge result_2 on Linux.

Dear nbv,
could you please investigate this problem.
(0059152)
nbv (developer)
2016-10-26 11:23

Fix for issue #27431 does not solve the problem.
(0070678)
mkv (tester)
2017-09-19 13:40

Not reproduced on the current master. Fixed in OCCT7.2.0
(0070990)
git (administrator)
2017-09-29 17:11

Branch CR14530 has been deleted by kgv.

SHA-1: b2ba7afd866ee3634b751495683e54f0d3404963

- Issue History
Date Modified Username Field Change
2007-01-17 15:07 bugmaster Assigned To bugmaster => pkv
2007-01-17 15:07 bugmaster Status new => assigned
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2016-09-20 17:39 bugmaster Note Added: 0057958
2016-09-20 17:39 bugmaster Assigned To pkv => bugmaster
2016-09-20 17:39 bugmaster Status assigned => feedback
2016-09-21 11:19 git Note Added: 0057974
2016-09-21 11:21 bugmaster Note Added: 0057975
2016-09-21 11:21 bugmaster Status feedback => tested
2016-09-21 11:22 bugmaster Test case number => bugs modalg_6 bug14530
2016-09-21 11:22 bugmaster Fixed in Version EMPTY =>
2016-09-21 11:22 bugmaster Target Version => 7.1.0
2016-09-21 11:22 bugmaster Description Updated View Revisions
2016-09-23 09:58 bugmaster Status tested => feedback
2016-10-25 20:57 apn Note Added: 0059122
2016-10-25 20:57 apn Assigned To bugmaster => nbv
2016-10-26 10:28 msv Target Version 7.1.0 => 7.2.0
2016-10-26 11:23 nbv Note Added: 0059152
2016-10-26 11:24 nbv Status feedback => assigned
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-09-19 13:40 mkv Test case number bugs modalg_6 bug14530 => bugs modalg_7 bug14530
2017-09-19 13:40 mkv Note Added: 0070678
2017-09-19 13:40 mkv Status assigned => closed
2017-09-19 13:40 mkv Resolution open => fixed
2017-09-19 13:40 mkv Fixed in Version => 7.2.0
2017-09-29 17:11 git Note Added: 0070990


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker